<template>
    <nav class="navigation">
        <div class="title">
            <router-link :to="{name: 'home'}">{{ logo_name }}</router-link>
        </div>
        <div class="right-menu">
            <ul class="list-pages">
                <li v-for="(link,index) in nav_link" :key="index">
                    <router-link v-if="link.route" :to="{name: link.href}">{{ link.title }}</router-link>
                    <a v-else :href="link.href">{{ link.title }}</a>
                </li>
            </ul>
        </div>
    </nav>
</template>
<script>
export default {
    name: 'navigation',
    data () {
        return {
            
        }
    },
    props: ['logo_name', 'nav_link'],
}
</script>